Bug 1283974 - kie-config-cli: Business central does not start after org-unit or repository is added to a security group
kie-config-cli: Business central does not start after org-unit or repository ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: CR2
: 6.2.0
Assigned To: Eder Ignatowicz
Tomas David
: Regression
Depends On:
Blocks: 1192831 1277586 1289724
  Show dependency treegraph
 
Reported: 2015-11-20 07:26 EST by Tomas David
Modified: 2015-12-08 15:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log (378.67 KB, text/plain)
2015-11-20 07:30 EST, Tomas David
no flags Details

  None (edit)
Description Tomas David 2015-11-20 07:26:20 EST
Description of problem:
If an org-unit or a repository is added to a group using kie-config-cli tool and then eap server is restarted, Business central does not start and exception is thrown. See server.log in attachment.

Version-Release number of selected component (if applicable):
BPMS 6.2.0.CR1

How reproducible:
-

Steps to Reproduce:
1. Run Business-central.
2. Run kie-config-cli tool. 
3. Enter add-group-org-unit or add-group-repo command.
4. Use some existing org-unit or repository.
5. Add a security group.
6. Push changes by push-changes command.
7. Restart business central.

Actual results:
Exception is thrown. Server doesn't start.
See server.log in attachment.

Expected results:
Business central starts.

Additional info:
-
Comment 1 Tomas David 2015-11-20 07:30 EST
Created attachment 1097173 [details]
server log
Comment 2 manstis 2015-11-20 07:35:51 EST
@Eder,

Looks like something I saw Maciejs talk to Porcelli about on IRC:

13:11:13,528 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-11) MSC000001: Failed to start service jboss.deployment.unit."business-central.war".WeldStartService: org.jboss.msc.service.StartException in service jboss.deployment.unit."business-central.war".WeldStartService: Failed to start service
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1936) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_65]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_65]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_65]
Caused by: org.jboss.weld.exceptions.DeploymentException: Exception List with 1 exceptions:
Exception 0 :
org.jboss.weld.exceptions.WeldException: WELD-000049 Unable to invoke [method] @PostConstruct public org.kie.uberfire.social.activities.server.SocialTimelinePersistenceProducer.setup() on org.kie.uberfire.social.activities.server.SocialTimelinePersistenceProducer@6fb9a18b
	at org.jboss.weld.bean.AbstractClassBean.defaultPostConstruct(AbstractClassBean.java:405)
	at org.jboss.weld.bean.ManagedBean$ManagedBeanInjectionTarget.postConstruct(ManagedBean.java:178)
	at org.jboss.weld.bean.ManagedBean.create(ManagedBean.java:298)
	at org.jboss.weld.context.AbstractContext.get(AbstractContext.java:104)
	at org.jboss.weld.bean.proxy.ContextBeanInstance.getInstance(ContextBeanInstance.java:90)
	at org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:79)
	at org.kie.uberfire.social.activities.server.SocialTimelinePersistenceProducer$Proxy$_$$_WeldClientProxy.toString(SocialTimelinePersistenceProducer$Proxy$_$$_WeldClientProxy.java)
	at org.uberfire.backend.server.cdi.SystemConfigProducer.runPostConstruct(SystemConfigProducer.java:143)
	at org.uberfire.backend.server.cdi.SystemConfigProducer.afterDeploymentValidation(SystemConfigProducer.java:126)
	at org.uberfire.backend.server.cdi.SystemConfigProducer$Proxy$_$$_WeldClientProxy.afterDeploymentValidation(SystemConfigProducer$Proxy$_$$_WeldClientProxy.java)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267)
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52)
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137)
	at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263)
	at org.jboss.weld.introspector.jlr.WeldMethodImpl.invokeOnInstance(WeldMethodImpl.java:164)
	at org.jboss.weld.introspector.ForwardingWeldMethod.invokeOnInstance(ForwardingWeldMethod.java:51)
	at org.jboss.weld.injection.MethodInjectionPoint.invokeOnInstanceWithSpecialValue(MethodInjectionPoint.java:163)
	at org.jboss.weld.event.ObserverMethodImpl.sendEvent(ObserverMethodImpl.java:245)
	at org.jboss.weld.event.ObserverMethodImpl.sendEvent(ObserverMethodImpl.java:233)
	at org.jboss.weld.event.ObserverMethodImpl.notify(ObserverMethodImpl.java:213)
	at org.jboss.weld.bootstrap.events.AbstractContainerEvent.fire(AbstractContainerEvent.java:75)
	at org.jboss.weld.bootstrap.events.AbstractDeploymentContainerEvent.fire(AbstractDeploymentContainerEvent.java:46)
	at org.jboss.weld.bootstrap.events.AfterDeploymentValidationImpl.fire(AfterDeploymentValidationImpl.java:31)
	at org.jboss.weld.bootstrap.WeldBootstrap.validateBeans(WeldBootstrap.java:382)
	at org.jboss.as.weld.WeldStartService.start(WeldStartService.java:64)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1980)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1913)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267)
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52)
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137)
	at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263)
	at org.jboss.weld.introspector.jlr.WeldMethodImpl.invoke(WeldMethodImpl.java:168)
	at org.jboss.weld.bean.AbstractClassBean.defaultPostConstruct(AbstractClassBean.java:403)
	... 33 more
Caused by: org.kie.uberfire.social.activities.persistence.SocialTimelineCachePersistence$ErrorAccessingTimeline: org.jboss.weld.context.ContextNotActiveException: WELD-001303 No active contexts for scope type javax.enterprise.context.RequestScoped
	at org.kie.uberfire.social.activities.persistence.SocialTimelineCachePersistence.createOrGetTimeline(SocialTimelineCachePersistence.java:93)
	at org.kie.uberfire.social.activities.persistence.SocialTimelineCachePersistence.createOrGetTypeTimeline(SocialTimelineCachePersistence.java:248)
	at org.kie.uberfire.social.activities.persistence.SocialTimelineCachePersistence.createCacheStructure(SocialTimelineCachePersistence.java:69)
	at org.kie.uberfire.social.activities.persistence.SocialTimelineCachePersistence.setup(SocialTimelineCachePersistence.java:54)
	at org.kie.uberfire.social.activities.server.SocialTimelinePersistenceProducer.setup(SocialTimelinePersistenceProducer.java:89)
	... 43 more
Comment 4 Tomas David 2015-12-02 05:28:22 EST
Verified on BRMS 6.2.0.CR2.
Comment 5 Tomas David 2015-12-02 05:36:18 EST
Also verified on BPMS 6.2.0.CR2,

Note You need to log in before you can comment on or make changes to this bug.